package sk.upjs.ics.kniznica;

import java.io.File;
import java.io.FileNotFoundException;
import java.util.HashMap;
import java.util.Map;

public class DaoFactory {
    public static final String KLUC_KNIZNICA = "kniznica";

    private static Map<String, Object> register = new HashMap<String, Object>();

    static {
        try {
            register.put(KLUC_KNIZNICA, new SuborovaKniznica(new File("knihy.txt")));
        } catch (FileNotFoundException ex) {
            ex.printStackTrace();
        }
    }

    public static Kniznica getKniznica() {
        return (Kniznica) register.get(KLUC_KNIZNICA);
    }
}
